## org.apache.cassandra.db.compaction
Class CompactionInterruptedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cassandra.db.compaction.CompactionInterruptedException

All Implemented Interfaces:
  java.io.Serializable

    public class CompactionInterruptedException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`CompactionInterruptedException(CompactionInfo info)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompactionInterruptedException

    public CompactionInterruptedException(CompactionInfo info)

Copyright © 2013 The Apache Software Foundation